NVME-ZNS-ID-CTRL(1)

NAME
nvme-zns-id-ctrl - Send NVMe Zoned Command Set Identify Controller, return result and structure

SYNOPSIS

nvme zns id-ctrl <device> [-o <fmt> | --output-format=<fmt>]

DESCRIPTION

For the NVMe device given, sends the zoned command set’s identify controller command and provides the result and returned structure.

The <device> parameter is mandatory and may be either the NVMe character device (ex: /dev/nvme0), or a namespace block device (ex: /dev/nvme0n1).

On success, the data structure returned by the device will be decoded and displayed in one of several ways.

OPTIONS

-o <format>, --output-format=<format>
    Set the reporting format to normal, json, or binary. Only one output format can be used at a time.

EXAMPLES

    • Has the program interpret the returned buffer and display the known fields in a human readable format:

        # nvme zns id-ctrl /dev/nvme0

    • Show the output in json format

        # nvme zns id-ctrl /dev/nvme0 -o json

NVME

Part of nvme-cli